=== debian/changelog ===
debci (0.9) unstable; urgency=medium

  [ Antonio Terceiro ]
  * schroot/create-testbed: update existing chroots
  * debci-generate-feeds: add description to feeds
  * Incorporate results of the Google Summer of Code 2014 project by Brandon
    Fairchild, providing uncountable improvements to the web interface.
    http://lists.alioth.debian.org/pipermail/soc-coordination/2014-August/002295.html

  [ Brandon Fairchild ]
  * web UI was improved to support multiple suites and architectures, reduce
    the dependency the UI had on Javascript, and provide more information to
    package maintainers. The documentation was also worked on to provide
    information to people interested in working on debci (specifically the web
    UI)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 23 Aug 2014 18:10:04 -0300

debci (0.8.1) unstable; urgency=medium

  * Documentation updates
  * Fix obtaining the finish date of tests. Parsing the adt-run log started
    producing bad dates when adt-run changed to displaying only the time
    without the date. debci now uses the timestamp of when adt-run finished
    instead.
  * debci-batch: store offline mark in persistent storage to avoid going back
    online after a reboot.
  * debci-test: revert to updating only package-specific data; it turns out
    that updating global data after every package is too expensive.
  * debci-batch: update global data every 1 hour or so
  * debci-generate-index: avoid crash when regenerating data for extenal
    consumption from scratch. This process is not completely idempotent yet,
    so it needs more work.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 18 Aug 2014 08:25:23 -0300

debci (0.8) unstable; urgency=medium

  * debci-test: update global data files, not only package-specific data file,
    after each successfull test run.
  * debci-generate-index: ensure that no two instances can run at the same
    time.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 31 Jul 2014 11:55:27 -0300

debci (0.7.3) unstable; urgency=medium

  * debci-generate-feeds:
    - always update the global feed.
    - Point main link of feed entries to the debci log instead of the package
      page.
  * debci-generate-index:
    - report duration of each test run together with the status
  * debci-test:
    - fix regression with new packages caused by not mkdir'ing the full path
      to the adt-run output directory. `fake` backend adapted to emulate the
      behaviour of adt-run so that the tests would now fail without the fix.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 18 Jun 2014 14:29:46 +0200

debci (0.7.2) unstable; urgency=medium

  * Fix calculation of test elapsed time. We can't store the beginning
    timestamp at the adt-run output directory because that will be wiped out
    by adt-run before running the test.
  * public/index.html: fix source code URL to point to the collab-main
    repository which is the canonical one.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 10 Jun 2014 17:30:41 -0300

debci (0.7.1) unstable; urgency=medium

  * Fix handling of blame with "unknown" as value. Will avoid crashing when
    generating indexes

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 09 Jun 2014 11:07:11 -0300

debci (0.7) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debci-batch: put packages with fastest testsuites first in the queue
  * debci-generate-feeds: allow generating feeds for specific packages
  * debci-generate-index: update package feed right away when indexing
    individual packages
  * public/app.js: Adjust the "Pass percentage" Y axis labels so that chart is
    actually a percentage chart.
  * public/index.html: add link to global Atom feed in the home page.
  * debci-test, debci-generate-index: more robust way of calculating test run
    duration. Parsing the autopkgtest log is just not good enough.

  [ Martin Pitt ]
  * Fix report_status() to work for bash scripts.
  * debci-test: Add --print-output option to write output directory to stdout.
    With that the caller can easily check the result.
  * debci, tools/server.sh: Exec the target program instead of running in a
    subprocess, for efficiency and proper SIGTERM handling.
  * Drop tools/convert-data. We only needed it for version 0.6, and we're
    going to need a different conversion script after the next data/ dir
    reorganization.
  * Reorganize data directory to move the "categories" packages/,
    autopkgtest/, status/, and feeds/ to the top level; they contain
    subdirs for all releases and architectures. This makes autopkgtest/ fully
    rsyncable and also makes it easier to the web UI to browse/present data
    for multiple releases and architectures. Also split release-arch/ into
    release/arch/.
  * Add tools/convert-data-0.7: Convert data directory to changed format from
    above.
  * Fix debci-status -l if there is just one package.
  * Add tests for debci-batch, covering skipping/re-running of tests under
    appropriate conditions and showing the cause for re-run in the log.
  * Replace test/json_validity (in ruby) with test/test_json.sh (shell with
    just calling ruby for the actual JSON validation). With that we can re-use
    test_helper's test bed setup instead of having to replicate it all in
    ruby.
  * Make test/runall.sh executable for convenience, and make it only run
    test_* scripts.
  * debci-batch: remove reading configuration from /etc/default/debci
  * lib/environment.sh: read configuration from $debci_basedir/config/debci.conf
  * Add debci_mirror config variable to configure an archive mirror. Use it
    for chdist and schroot setup.
  * Drop unnecessary faketime build dependency.
  * Add LXC backend.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 03 Jun 2014 22:36:44 -0300

debci (0.6.3) unstable; urgency=medium

  * debian-status: avoid generating invalid JSON in the presence of packages
    without status files


