=== debian/control ===
Source: debci
Section: devel
Priority: optional
Maintainer: Antonio Terceiro <terceiro@debian.org>
Build-Depends:
 debhelper (>= 9.0.0),
 devscripts,
 patchutils,
 ruby,
 ruby-rspec (>= 2.14),
 shunit2,
 fonts-font-awesome (>= 4.0.3~),
 yard,
Standards-Version: 3.9.5
Homepage: http://ci.debian.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/debci.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/debci.git;a=summary
Testsuite: autopkgtest

Package: debci
Architecture: all
Depends:
 adduser,
 autopkgtest (>= 2.12),
 debootstrap,
 fonts-font-awesome (>= 4.0.3~),
 libjs-jquery,
 libjs-jquery-flot,
 patchutils,
 ruby,
 devscripts,
 dctrl-tools,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 apt-cacher-ng,
 moreutils,
 schroot
Description: continuous integration system for Debian
 debci will scan the Debian archive for packages that contain DEP-8 compliant
 test suites, and run those test suites whenever a new version of the package,
 or of any package in its dependency chain (modulo the base system), is
 available.
