## debci 0.10.1

=== debian/changelog ===
debci (0.10.1) unstable; urgency=medium

  * Fix documentation build

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 30 Sep 2014 17:29:48 -0300

debci (0.10) unstable; urgency=medium

  [ Martin Pitt ]
  * Fix Makefile to be idempotent, previously it failed on already existing
    symlinks.
  * Add missing dctrl-tools build dependency, Makefile is calling grep-dctrl.
  * Makefile: Don't call "checkdeps" on "make check", the test suite doesn't
    actually need autopkgtest or the libjs packages (which are for the UI
    only).
  * test/test_helper.sh: Don't hardcode "amd64", to fix test failure when
    building on other architectures.

  [ Antonio Terceiro ]
  * debci-generate-index: update packages.json atomically
  * web UI improvements:
    - remove limit of number of items to display in the search
      (Closes: #762213)
    - trigger search immediately when there is text in the search box
      (this will happen if you reload the page)
    - store search query in the URL, and honor that when opening any page that
      contains a search box

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 26 Sep 2014 18:22:06 -0300
