=== debian/changelog ===
debci (0.10.3) unstable; urgency=medium

  [ Brandon Fairchild ]
  * handle old test run data that didn't have a run_id.

  [ Antonio Terceiro ]
  * debci-status: fix generation of packages status file which was incorrectly
    repeating the status for the very first package over and over.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 14 Oct 2014 18:55:27 -0300

debci (0.10.2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * lib/functions.sh: accept any value of Testsuite matching `autopkgtest`
    insted of only exact matches when looking for source packages with test
    suites. This will allow detecting packages with specialized values such as
    autopkgtest-pkg-ruby and autopkgtest-pkg-perl.

  [ Brandon Fairchild ]
  * Detect JSON parsing errors on history files instead of silently failing
    and leaving a blank history (Closes: #759569)
  * Avoid also listing lib* packages under l/.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 08 Oct 2014 08:53:37 -0300
