=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  shunit2,
  fonts-font-awesome (>= 4.0.3~),
  yard,
+ dctrl-tools,
 Standards-Version: 3.9.5
 Homepage: http://ci.debian.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/debci.git
@@ -35,6 +36,7 @@
 Recommends:
  apt-cacher-ng,
  moreutils,
+ ntp,
  schroot
 Description: continuous integration system for Debian
  debci will scan the Debian archive for packages that contain DEP-8 compliant
