=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	dh_clean --dirs-only
	$(RM) debian/debci.debhelper.log
	$(RM) debian/debci.substvars
	$(RM) debian/files
