=== debian/tests/control ===
Tests: ruby-test-suite test-suite
Depends: @, shunit2, ruby-rspec (>= 2.14)
Restrictions: allow-stderr

# vim: ft=debcontrol
