## debci 0.12

=== debian/changelog ===
debci (0.12) unstable; urgency=medium

  [ Brandon Fairchild ]
  * Debci::Package#failures: Determine the test status that occurred before a
    tmpfail

  [ Antonio Terceiro ]
  * web UI: read head.html and footer.html from config dir

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 17 Dec 2014 08:45:20 -0200

debci (0.11) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debci-migrate: added a data migration mechanism that is also automatically
    executed during postinst.
  * Switch data storage strategy to compress all autopkgtest logs. This will
    save huge amounts of storage space.
    - tools/server.sh adjusted to make lighttpd serve *.log.gz files as
      regular text/plain files, but with the propers headers to tell browsers
      that they are compressed so they will do the right tihng.
  * debci-batch: will now stop even in the middle of a iteration when told to
    go offline.
  * backends/schroot/create-testbed, debci-setup-chdist: add buildd suites to
    sources.list so we detect newly uploaded packages faster
  * Removed embedded copy of Bootstrap, now depending on libjs-bootstrap

  [ Brandon Fairchild ]
  * Several web UI improvements
  * Documentation update on hacking the web interface

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 15 Nov 2014 14:56:14 -0200
