=== debian/changelog ===
debci (0.13) unstable; urgency=medium

  * debci hint: generate a britney hints file

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 18 Aug 2015 16:52:06 +0200
