=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  fonts-font-awesome (>= 4.0.3~),
  yard,
  dctrl-tools,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ci.debian.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/debci.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/debci.git;a=summary
@@ -25,6 +25,7 @@
  autopkgtest (>= 2.12),
  debootstrap,
  fonts-font-awesome (>= 4.0.3~),
+ libjs-bootstrap,
  libjs-jquery,
  libjs-jquery-flot,
  patchutils,
