=== debian/changelog ===
debci (1.0.2) unstable; urgency=medium

  [ Martin Pitt ]
  * Fix some excessive amd64 hardcoding in the test suite. Thanks Colin
    Watson!
  * test/test_blame.sh: Sleep for one second between process() calls, to
    ensure that timestamps in run IDs are different. (Closes: #809265)

  [ Brian Murray ]
  * Include extra information in HTML <title> tags, such as package name,
    architecture, suite, etc (Closes: #811563)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 25 Jan 2016 18:57:03 -0200

debci (1.0.1) unstable; urgency=medium

  * debian/debci-worker.cron.daily: exit immediately if debci is no longer
    installed (Closes: #807360)
  * Drop Debconf templates
  * bin/debci-batch: make sure package status directory exists before creating
    queue marker

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 14 Dec 2015 15:17:30 -0200

debci (1.0) unstable; urgency=medium

  * This is a major overhaul of the debci infrastructure. debci now works as a
    distributed system, with one or more workers that process test runs, and
    one central node that collects tests results and generates the HTML web
    UI. The nodes communicate using an AMQP server (usually rabbitmq-server),
    and test requests can be submitted from any host that can connect to the
    AMQP server. One will usually have one specific node, perhaps the one that
    runs the result collection/web UI, running `debci batch` to schedule tests.
  * New packages:
    + debci-worker: contains the systemd service units necessary to run the
      worker daemons; must be installed on worker nodes.
    + debci-collector: contains the systemd service unit necessary to run the
      debci collector daemon: will receive test results, and generate the HTML
      web interface; must be installed on a single node in the network
  * The `debci` package contains the debci core, and is still the package that
    needs to be installed for developers trying out debci locally as
    instructed the documentation.
  * Change default backend to `lxc`

  [ Martin Pitt ]
  * Initial implementation of the master/worker setup
  * Add support for importing data from test runs executed elsewhere

  [ Antonio Terceiro ]
  * Finished implementation of the master/worker setup
  * schroot/create-testbed: find usable union-type (Closes: #799760)
  * debian/debci.postrm: remove /var/lib/debci on purge (Closes: #769766)
  * added debian/tests/integration-test: full-system smoke test

  [ Chris Lamb ]
  * Document how to get started without a virtualisation regime
    (Closes: #777531)

  [ Brandon Fairchild ]
  * Several documentation and frontend updates
    + Including displaying correct failing architectures (Closes: #797198)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 03 Dec 2015 22:15:30 -0200
