=== debian/control ===
Source: debci
Section: devel
Priority: optional
Maintainer: Antonio Terceiro <terceiro@debian.org>
Build-Depends: amqp-tools,
               dctrl-tools,
               debhelper (>= 9.0.0),
               devscripts,
               dh-systemd (>= 1.5),
               fonts-font-awesome (>= 4.0.3~),
               patchutils,
               rabbitmq-server,
               ruby,
               ruby-rspec (>= 2.14),
               shunit2,
               yard
Standards-Version: 3.9.6
Homepage: http://ci.debian.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/debci.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/debci.git;a=summary
Testsuite: autopkgtest

Package: debci
Architecture: all
Depends: adduser,
         amqp-tools,
         bsdmainutils,
         dctrl-tools,
         debootstrap,
         devscripts,
         fonts-font-awesome (>= 4.0.3~),
         libjs-bootstrap,
         libjs-jquery,
         libjs-jquery-flot,
         patchutils,
         ruby,
         sudo,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: apt-cacher-ng,
            moreutils,
            ntp,
Description: continuous integration system for Debian
 debci will scan the Debian archive for packages that contain DEP-8 compliant
 test suites, and run those test suites whenever a new version of the package,
 or of any package in its dependency chain (modulo the base system), is
 available.
 .
 The requests are distributed to worker machines through AMQP queues. You need
 rabbitmq-server for this; but it is also possible to run RabbitMQ on a
 different server than debci, in which case you do not need to install that
 recommendation.
 .
 This package contains the debci core.

Package: debci-worker
Architecture: all
Depends: debci (= ${binary:Version}),
         autodep8 (>= 0.2~),
         autopkgtest (>= 3.16),
         schroot | lxc,
         ${misc:Depends},
         ${shlibs:Depends}
Description: continuous integration system for Debian (worker daemon)
 debci will scan the Debian archive for packages that contain DEP-8 compliant
 test suites, and run those test suites whenever a new version of the package,
 or of any package in its dependency chain (modulo the base system), is
 available.
 .
 The requests are distributed to worker machines through AMQP queues. You need
 rabbitmq-server for this; but it is also possible to run RabbitMQ on a
 different server than debci, in which case you do not need to install that
 recommendation.
 .
 This package provides cron and init integration for running debci worker
 daemons that will listen to AMQP queues and run test jobs.

Package: debci-collector
Architecture: all
Depends: debci (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rabbitmq-server,
Description: continuous integration system for Debian (collector daemon)
 debci will scan the Debian archive for packages that contain DEP-8 compliant
 test suites, and run those test suites whenever a new version of the package,
 or of any package in its dependency chain (modulo the base system), is
 available.
 .
 The requests are distributed to worker machines through AMQP queues. You need
 rabbitmq-server for this; but it is also possible to run RabbitMQ on a
 different server than debci, in which case you do not need to install that
 recommendation.
 .
 This package provides the collector daemon, which will receive test results
 published by debci worker hosts, store them centrally, and generate the static
 HTML files for the debci user interface.
