=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,13 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_clean:
 	dh_clean --dirs-only
 	$(RM) debian/debci.debhelper.log
 	$(RM) debian/debci.substvars
 	$(RM) debian/files
+
+override_dh_installinit:
+	@true
