## debci 1.3

=== debian/changelog ===
debci (1.3) unstable; urgency=medium

  * debci-collector:
    - remove creation of .timestamp files under data/autopkgtest-incoming/,
      which are no longer used for anything
  * bin/debci-batch:
    - use one tmp_dir per package/suite/architecture
  * bin/debci-generate-index
    - use one tmp_dir per package/suite/architecture
    - compress artifacts (except log) in a single tarball so that instead of N
      files per test run, we only keep 2 files per test run: log.gz and
      artifacts.tar.gz. This should significantly reduce the usage of inodes.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 03 Jun 2016 16:26:11 -0300

debci (1.2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/debci-worker@.service: also bump LimitNPROC to infinity to avoid
    the `Cannot fork` issue.
  * backends/lxc/test-package: use adt-virt-lxc --name option to facilitate
    mapping from a running test to package names. This requires autopkgtest
    (>= 3.20).
  * bin/debci-collector, bin/debci-worker, lib/functions.sh#report_status:
    display suite and architecture together with package names
  * HTML UI:
    * add page listing Platform-specific issues, i.e. packages that passes on
      one suite/arch but fails on another suite/arch.
    * fix Status page to not hide all charts when any platform does not have
      enough data
    * rewrite Status charts page. In special, instead of loading the full
      history via AJAX, which takes quite a while, embed a reduced view of the
      data in the HTML itself.
    * remove search functionality: it was too heavy/slow. If one day the UI
      stops being only static HTML, we can a search feature again.
  * Drop debian/tests/worker-max-processes. The original issue was caused by
    (and fixed in) systemd >= 228 (see bug #823530), and the test ended up not
    being very reliable and keeps flapping on CI.
  * bin/debci-generate-index: remove call to debci-generate-html, since
    debci-update now call both debci-generate-index and debci-generate-html

  [ Jakub Wilk ]
  * public/style.css: Set correct font for alert, chart, rss, and tracker
    icons. (Closes: #821932)

  [ Brandon Fairchild ]
  * HTML UI: fix final copyright year in the footer

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 23 May 2016 10:31:19 -0300

debci (1.1.2) unstable; urgency=medium

  * debian/tests/control: restrict backend-schroot to only running on VMs
    (i.e. not on containers)
  * debian/debci-worker@.service: make sure there is no maximum number of
    processes; otherwise when using the lxc backend, we might get random
    failures saying `Cannot fork: resource temporarily unavailable` with
    systemd from stretch onwards.
    - added debian/tests/worker-max-processes as a test case
  * Add new backend `null`, which just uses the `null` virtualization regime
    in adt-run. This will be useful for running tests, but can also be used
    for running tests with zero overhead on trusted packages.
  * backends/fake: add support for executing an specific command instead of
    producing a random result if $DEBCI_FAKE_COMMAND is set.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 12 Apr 2016 11:23:17 -0300

debci (1.1.1) unstable; urgency=medium

  * debian/sudoers.d/debci: adjust to work with autopkgtest >= 3.19.3,
    which will also call `timeout` under sudo.
  * backends/lxc/create-testbed: initialize $GUEST_PROXY before use, for the
    case when no proxy is detected.
  * Add integration tests for schroot and lxc backends
  * debian/tests/integration-test: wait until test jobs have been processed,
    to avoid failures due to not waiting long enough on slow machines.
  * debian/tests/control: force throwing away used testbed after
    integration-test and multiarch-integration-test

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 27 Mar 2016 22:42:29 -0300

debci (1.1.0) unstable; urgency=medium

  New features:

  * debci-config: added option to output only values and not keys
  * Proper support for multiple architectures.
    - list of architectures is declared in the configuration file using the
      `debci_arch_list` variable.
    - new script debci-update will call debci-generate-index for each of the
      architectures in $debci_arch_list, and them call debci-generate-html
      which was already architecture-independent.
    - systemd unit files debci-generate-index.{service,timer} renamed to
      debci-update.{service,timer}. debci-update.service and changed to call
      `debci update` instead of `debci generate-index`.

  Bug fixes:

  * remove unused debian/po directory (Closes: #813447)
  * test_helper: stop rabbitmq-server the right way

  Minor packaging updates:

  * remove deprecated and unused tools
  * debian/control: Use https URLs in Vcs-* fields
  * debian/control: Bump Standars-Version to 3.9.7; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Mar 2016 18:59:52 -0300
