=== debian/control ===
--- 
+++ 
@@ -8,16 +8,17 @@
                devscripts,
                dh-systemd (>= 1.5),
                fonts-font-awesome (>= 4.0.3~),
+               moreutils,
                patchutils,
                rabbitmq-server,
                ruby,
                ruby-rspec (>= 2.14),
                shunit2,
                yard
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://ci.debian.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/debci.git
-Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/debci.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/debci.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debci.git
 Testsuite: autopkgtest
 
 Package: debci
@@ -57,7 +58,7 @@
 Architecture: all
 Depends: debci (= ${binary:Version}),
          autodep8 (>= 0.2~),
-         autopkgtest (>= 3.16),
+         autopkgtest (>= 3.20),
          schroot | lxc,
          ${misc:Depends},
          ${shlibs:Depends}
