## debci 1.5.1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,8 @@
 
 spec:
 	@./test/banner 'Ruby unit tests'
-	rspec --color
+	@echo rspec --color
+	@rspec --color || (if [ -n "$(DISPLAY)" ]; then notify-send --urgency=critical --expire-time=5 "FAILED!!!"; fi; false)
 
 functional-tests:
 	@./test/banner 'Functional tests'
@@ -35,7 +36,7 @@
 deb:
 	mkdir -p tmp/deb
 	rm -rf tmp/deb/debci*
-	DEB_BUILD_OPTIONS=nocheck gbp buildpackage --git-export-dir=tmp/deb
+	DEB_BUILD_OPTIONS=nocheck gbp buildpackage --git-ignore-branch --git-export-dir=tmp/deb
 	cd tmp/deb && dpkg-scanpackages . > Packages
 	@echo
 	@echo "Debian packages available in tmp/deb/!"
