=== debian/changelog ===
debci (1.5.1) unstable; urgency=medium

  [ Brandon Fairchild ]
  * TUTORIAL.md: Add links to DDPO and package tracker

  [ Antonio Terceiro ]
  * docs/TUTORIAL.md: add link to DMD as well
  * debci-setup-chdist:
    - use $MIRROR as default mirror
  * debci-generate-index:
    - handle sub-directories of the artifacts/ directory produced by
      autopkgtest.

  [ Paul Gevers ]
  * Simplify the instructions to enable sudo to work on lxc-* now that debci
    ships an sudoers.d/debci file

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 26 Jan 2017 10:27:45 -0200

debci (1.5) unstable; urgency=medium

  * debci setup
    - add -f/--force option to force an update, ignoring the testbed timestamp
  * web UI
    - fix links to packages in "status alerts" page
  * packaging:
    + debci-worker: move `apt-cacher-ng` from Recommends: to Suggests:. In
      practice, workers should usually be close to a good mirror; having a
      local cache increases the maintaince burden as the disk usage might go
      too high.
  * lxc backend:
    + drop "adt-sid-amd64-" prefix from container names. In practice,
      container names longer than 64 characters cause problems.
  * setup-chdist:
    + drop usage of timestamp to control when to call `apt-get update`. Just
      update always. an `apt-get update` on a updated tree should be quick
      enough.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 27 Oct 2016 19:38:44 -0200

debci (1.4) unstable; urgency=medium

  [ Antonio Terceiro ]
  * bin/debci-migrate.d/002_compress_artifacts: also remove directories after
    compressing artifacts
  * Web UI:
    - include version numbers almost everywhere.
  * lib/debci/html/package.erb: avoid crashing when installing a fresh system
    with no data, but with packages already blacklisted.
  * debian/debci.postrm: remove /var/log/debci on purge (Closes: #810701)
  * Add support for running tests for multiple suites (See: #831975).
    .
    Not that we couldn't do that already, but it would require specific
    workers for each suite. With these changes, a worker node for a given
    architecture can now run tests on any suite for that architecture.
    .
    - debci-worker will now expect the suite name as a second argument on test
      jobs (defaulting to whatever is in $debci_suite).
    - debci-enqueue will now send the suite name as a second argument on each
      test job
    - Added debci-update-worker as a wrapper for callling debci-setup for each
      supported suite.
  * backends/lxc:
    - retry `apt-get update` until it works. Most of the time when the testbed
      setup fails on production is during `apt-get update`.
  * "Platform-Specific issues" will now not consider tmpfail as an issue.
    Those are already being tracked by "Status alerts".
  * test/test_shell_best_practices.sh: start checking scripts with shellcheck;
    not failing on issues just yet.

  [ Gordon Ball ]
  * Add the concept of failure states, to distinguish between
    * tests which have never passed
    * tests which passed for a previous version, but never for the current
      version
    * tests which previously passed for the current version


 -- Antonio Terceiro <terceiro@debian.org>  Sun, 04 Sep 2016 18:27:51 -0300
