=== debian/control ===
--- 
+++ 
@@ -8,11 +8,16 @@
                devscripts,
                dh-systemd (>= 1.5),
                fonts-font-awesome (>= 4.0.3~),
+               inotify-tools,
+               jq,
                moreutils,
                patchutils,
                rabbitmq-server,
+               rerun,
                ruby,
+               ruby-foreman,
                ruby-rspec (>= 2.14),
+               shellcheck,
                shunit2,
                yard
 Standards-Version: 3.9.8
@@ -36,11 +41,12 @@
          patchutils,
          ruby,
          sudo,
+         jq,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: apt-cacher-ng,
-            moreutils,
+Recommends: moreutils,
             ntp,
+Suggests: apt-cacher-ng,
 Description: continuous integration system for Debian
  debci will scan the Debian archive for packages that contain DEP-8 compliant
  test suites, and run those test suites whenever a new version of the package,
@@ -59,7 +65,7 @@
 Depends: debci (= ${binary:Version}),
          autodep8 (>= 0.2~),
          autopkgtest (>= 3.20),
-         schroot | lxc,
+         lxc | schroot,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: continuous integration system for Debian (worker daemon)
