## debci 1.7

=== debian/changelog ===
debci (1.7) unstable; urgency=medium

  [ Martin Pitt ]
  * Move from obsolete adt-run to autopkgtest CLI (Closes: #866867)

  [ Antonio Terceiro ]
  * debian/NEWS: document changes to base testbed names due to the move to
    `autopkgtest` from `adt-run`.
  * debci-setup: don't mask failure of the backend create-testbed script
    (Closes: #809652)
  * backends/lxc: cleanup containers if testbed creation fails, making sure
    that calls to debci-setup will always exit cleanly.
  * New program: debci localtest. It can be used by users to reproduce locally
    the same test environment used in ci.debian.net.
    - autopkgtest calls make by backends/*/test-package will now use the
      --no-built-binaries option.
  * Add debci(1) manpage and support `debci --help` (Closes: #867891)
  * Add an experiental `qemu` backend

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 26 Jul 2017 17:44:47 -0300

debci (1.6) unstable; urgency=medium

  * docs/INSTALL.md: update rabbitmq-related instructions
  * Debci::HTML: record template filename
  * Debci::Graph: assume empty array when there is no data
  * debci-expire: control data retention
  * Drop unnecessary symlinks to autopkgtest logs
  * web UI: don't link to removed files
  * debian/rules: skip running tests during build (Closes: #841708, #848054)
  * debci-worker.cron.daily: skip if debci-worker is not installed
    (Closes: #822896)
  * debian/*.service: add Documentation entry, pointing to online debci docs

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 28 May 2017 17:22:50 -0300
