=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                shellcheck,
                shunit2,
                yard
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://ci.debian.net/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/debci.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debci.git
@@ -64,7 +64,7 @@
 Architecture: all
 Depends: debci (= ${binary:Version}),
          autodep8 (>= 0.2~),
-         autopkgtest (>= 3.20),
+         autopkgtest (>= 4),
          lxc | schroot,
          ${misc:Depends},
          ${shlibs:Depends}
