=== debian/changelog ===
debci (1.7.1) unstable; urgency=medium

  * debian/control:
    - debci: recommend `ntp | time-daemon` instead of just `ntp`
      (Closes: #870739)
  * debian/debci-worker.cron.daily: also bail out immediately if debci is not
    installed (Closes: 822896)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 10 Sep 2017 13:35:21 -0300
