=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: moreutils,
-            ntp,
+            ntp | time-daemon,
 Suggests: apt-cacher-ng,
 Description: continuous integration system for Debian
  debci will scan the Debian archive for packages that contain DEP-8 compliant
