=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,18 @@
 
 Tests: integration-test
 Depends: debci, shunit2, rabbitmq-server
-Restrictions: allow-stderr, isolation-container, needs-root
+Restrictions: allow-stderr, isolation-container, needs-root, breaks-testbed
+
+Tests: multiarch-integration-test
+Depends: debci, shunit2, rabbitmq-server
+Restrictions: allow-stderr, isolation-container, needs-root, breaks-testbed
+
+Tests: backend-schroot
+Depends: debci, libnss-myhostname, netcat-openbsd, redir, autopkgtest, schroot
+Restrictions: allow-stderr, isolation-machine, needs-root
+
+Tests: backend-lxc
+Depends: debci, libnss-myhostname, netcat-openbsd, redir, autopkgtest, lxc, rsync, libvirt-clients, libvirt-daemon-system, iptables, ebtables, dnsmasq-base
+Restrictions: allow-stderr, isolation-machine, needs-root
 
 # vim: ft=debcontrol
