=== debian/tests/testpkg/debian/tests/control ===
Test-Command: true
Depends: bash
