=== test/fake-package/debian/tests/control ===
Test-Command: true
Depends: dpkg
