## debci 1.12

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,7 @@
 
 spec:
 	@./test/banner 'Ruby unit tests'
-	@echo rspec --color
-	@rspec --color || (if [ -n "$(DISPLAY)" ]; then notify-send --urgency=critical --expire-time=5 "FAILED!!!"; fi; false)
+	rspec --color
 
 functional-tests:
 	@./test/banner 'Functional tests'
@@ -59,7 +58,7 @@
 
 doc: public/doc/index.html public/doc/architecture.svg
 
-public/doc/index.html public/doc/jq/jquery.js: README.md docs/*.md $(shell find lib -name '*.rb')
+public/doc/index.html public/doc/jq/jquery.js: README.md $(sort $(wildcard docs/*.md)) $(shell find lib -name '*.rb' | LC_ALL=C sort)
 	$(RM) public/doc/js/jquery.js
 	yardoc --markup markdown --output-dir public/doc --main README.md lib - $^
 	ln -sf ../../jquery.js public/doc/js/jquery.js
