=== debian/changelog ===
debci (1.12) unstable; urgency=medium

  [ Antonio Terceiro ]
  * ui: add status name back in package history page
  * lxc, schroot: don't make `debci` a system user
  * tools/init-dev.sh: reduce number of suites
  * tools/init-dev.sh: separate config files from test requests
  * debci-collector: replace pointless loop with conditional
  * Escape triggers when enqueuing test jobs (Closes: #902337)

  [ Paul Gevers ]
  * Treat autopkgtest exit status 8 as a neutral result (Closes: #901846)
  * debci.(pre|post)(inst|rm): call dpkg-maintscript-helper to adapt for
    change of directory to link in previous version
  * backends/debci-setup-chdist: add contrib and non-free (Closes: #825488)
  * backends: add debug archive to lxc and schroot (Closes: #817080)

 -- Paul Gevers <elbrus@debian.org>  Fri, 10 Aug 2018 20:06:49 +0200

debci (1.11) unstable; urgency=medium

  [ Antonio Terceiro ]
  * ui: pending jobs: add columns for suite and architecture
  * debci-generate-index: make sure to always run
  * Remove all handling of "blame"
  * Remove generation of britney hints file
  * Fix debci-localtest
  * Build-Depends: autopkgtest
  * debci-enqueue: log suite and architecture
  * debian/tests/control: install autopkgtest to run test suite
  * Debci::API: accept only package names starting with [a-z0-9]
  * ui: Optimize HTML generation process
  * Use FontAwesome via its standard API
  * lxc: name containers ci-$EPOCH (Closes: #893595, #898875)
  * Implement test priorities
  * ui: improve "Status Alerts" table
  * ui: add status page for slow-running tests
  * Bump Standards-Version to 4.1.4, no changes needed

  [ Paul Gevers ]
  * README.md: fix unsecure http URL's and fix e-mail list address

  [ Rafael Laboissiere ]
  * d/control: Change Maintainer to Debian CI team.
    Antonio Terceiro, the former Maintainer, is now an Uploader.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 13 Jun 2018 09:51:09 -0300

debci (1.10) unstable; urgency=medium

  * api: enable retry with client certificate and add GET response
  * Minor packaging updates
  * Thanks to Chris Lamb for the patches of bugs 880804, 879655 and
    879654.

 -- Paul Gevers <elbrus@debian.org>  Wed, 25 Apr 2018 15:10:36 +0200

debci (1.9.1) unstable; urgency=medium

  * api: accept + in package names

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 07 Apr 2018 15:45:26 -0300

debci (1.9) unstable; urgency=medium

  [ Paul Gevers ]
  * Make building debci reproducible (Closes: #880804)
  * Move from http://http.debian.net to http://deb.debian.org (Closes: #879654)
  * Document the use of a local mirror (Closes: #879655)
  * Document the need for running chdist
  * docs: fix typo

  [ Antonio Terceiro ]
  * debci-setup: mention suite in the logs
  * tools/build.sh: tell rerun that `make` exits
  * tools/init-dev.sh: initialize database
  * debci-worker: refuse invalid package names
  * api: reject invalid package names
  * Use salsa.debian.org in Vcs-* fields

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 07 Apr 2018 15:24:55 -0300

debci (1.8) unstable; urgency=medium

  [ Antonio Terceiro ]
  * This release adds two major features that were developed to support
    triggering tests to speed up Debian testing migrations:
    * Added support for "migration tests", which are tests that run on testbeds
      of a given suite (e.g. testing) with some packages from another suite
      (e.g.  unstable).
    * Added an HTTP API for requesting test runs. This will be used by britney
      to test package versions from unstable against testing.
  * debci setup: pass --suite to testbed creation scripts
  * debci test: Extract autopkgtest calls into a central helper program
  * backends/lxc: drop the unstable → sid renaming
  * Add script to run a Ruby shell
  * Move enqueing process to Ruby for performance reasons
  * debian/control
    * replace build dependency on dh-systemd with debhelper (>= 9.20160709)
    * Bump Standards-Version to 4.1.3; no changes needed
    * remove unnecessary Testsuite: field

  [ Paul Gevers ]
  * backends/fake: use month instead of minutes in the generated package name
    for non-existent packages
  * backends/fake: use rmadison get more up-to-date version numbers
  * Initial version for a page where one can see which jobs have pending
    results
  * Add retrigger end point to the API

  [ Lucas Kanashiro ]
  * Update git repository URL to point to salsa
  * UI: sort package status history based on date in descending order
  * define pipeline via gitlab-ci.yml

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 15 Mar 2018 14:52:34 -0300
