=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: debci
 Section: devel
 Priority: optional
-Maintainer: Antonio Terceiro <terceiro@debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Uploaders: Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>,
 Build-Depends: amqp-tools,
+               autopkgtest,
                dctrl-tools,
-               debhelper (>= 9.0.0),
+               debhelper (>= 9.20160709),
                devscripts,
-               dh-systemd (>= 1.5),
                fonts-font-awesome (>= 4.0.3~),
                inotify-tools,
                jq,
@@ -15,22 +16,28 @@
                rabbitmq-server,
                rerun,
                ruby,
+               ruby-activerecord,
+               ruby-bunny,
                ruby-foreman,
                ruby-rspec (>= 2.14),
+               ruby-sinatra,
+               ruby-sinatra-contrib,
+               ruby-sqlite3,
+               ruby-thor,
                shellcheck,
                shunit2,
                yard
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: http://ci.debian.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/debci.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debci.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/ci-team/debci.git
+Vcs-Browser: https://salsa.debian.org/ci-team/debci
 
 Package: debci
 Architecture: all
 Depends: adduser,
          amqp-tools,
          bsdmainutils,
+         curl,
          dctrl-tools,
          debootstrap,
          devscripts,
@@ -40,6 +47,12 @@
          libjs-jquery-flot,
          patchutils,
          ruby,
+         ruby-activerecord,
+         ruby-bunny,
+         ruby-sinatra,
+         ruby-sinatra-contrib,
+         ruby-sqlite3 | ruby-pg,
+         ruby-thor,
          sudo,
          jq,
          ${misc:Depends},
@@ -64,7 +77,7 @@
 Architecture: all
 Depends: debci (= ${binary:Version}),
          autodep8 (>= 0.2~),
-         autopkgtest (>= 4),
+         autopkgtest (>= 5.1~),
          lxc | schroot,
          ${misc:Depends},
          ${shlibs:Depends}
