=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: ruby-test-suite test-suite
-Depends: debci, shunit2, ruby-rspec (>= 2.14), rabbitmq-server
+Depends: debci, shunit2, ruby-rspec (>= 2.14), rabbitmq-server, autopkgtest
 Restrictions: allow-stderr needs-recommends
 
 Tests: integration-test
